Doomsday Engine - Feature #1289

Flat-triggered particle generators created/destroyed on material change
2003-09-17 23:45 - danij

Status: New Start date: 2003-09-17
Priority: High % Done: 0%
Assignee:

Category: Enhancement

Target version: Rendering

Description

After a texture change any associated particle
generators should be either destroyed or created as
needed.

(Reminder) ...I can implement a simpler check in the
particle generator routines. When a flat-triggered
generator is processed, it shouldn't be too difficult to
check if the triggering plane has changed textures, and
if so the generator can be killed.

Labels: Customizability

Related issues:
Related to Feature #1699: Particle renderer 2.0 New 2014-01-03

History

#1 - 2013-10-21 08:35 - skyjake

- Tags set to Particles

#2 - 2013-10-21 16:09 - skyjake

- Subject changed from FLAT particle generators Created/Detroyed on texture change. to Flat-triggered generators created/detroyed on material
change

- Priority changed from Normal to High

#3 - 2013-10-21 16:09 - skyjake

- Subject changed from Flat-triggered generators created/detroyed on material change to Flat-triggered generators created/destroyed on material
change

#4 - 2019-11-29 16:23 - skyjake
- Category set to Enhancement

- Target version set to Rendering

#5 - 2019-11-29 16:23 - skyjake
- Related to Feature #1699: Particle renderer 2.0 added

#6 - 2019-11-29 16:23 - skyjake

- Subject changed from Flat-triggered generators created/destroyed on material change to Flat-triggered particle generators created/destroyed on
material change

2024-05-20 1/1



http://www.tcpdf.org

